Get Tax Association
curl --request GET \
--url https://us.api.flexprice.io/v1/taxes/associations/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://us.api.flexprice.io/v1/taxes/associations/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://us.api.flexprice.io/v1/taxes/associations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auto_apply": true,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"currency": "<string>",
"end_date": "2023-11-07T05:31:56Z",
"entity_id": "<string>",
"entity_type": "customer",
"environment_id": "<string>",
"id": "<string>",
"metadata": {},
"priority": 123,
"start_date": "2023-11-07T05:31:56Z",
"status": "published",
"tax_rate": {
"code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"environment_id": "<string>",
"fixed_value": "<string>",
"id": "<string>",
"metadata": {},
"name": "<string>",
"percentage_value": "<string>",
"scope": "INTERNAL",
"status": "published",
"tax_rate_status": "ACTIVE",
"tax_rate_type": "percentage",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
},
"tax_rate_id": "<string>",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}Tax Associations
Get Tax Association
Use when you need to load a single tax association (e.g. for display or editing).
GET
/
taxes
/
associations
/
{id}
Get Tax Association
Authorizations
Enter your API key in the format x-api-key <api-key>*
Path Parameters
Tax Config ID
Response
OK
Whether this tax should be automatically applied
Currency
EndDate is the optional date until which this association is active
ID of the entity this tax rate applies to
Available options:
customer, subscription, invoice, tenant EnvironmentID is the ID of the environment this tax rate config belongs to
ID of the ent.
Metadata holds the value of the "metadata" field.
Show child attributes
Show child attributes
Priority for tax resolution (lower number = higher priority)
StartDate is the date from which this association is active
Available options:
published, deleted, archived Show child attributes
Show child attributes
Reference to the TaxRate entity

